Name:           cgdb
Version:        0.6.6
Release:        %mkrel 2
Summary:        CGDB is a curses-based interface to the GNU Debugger (GDB)

Group:          Development/Other
License:        GPLv2
URL:            http://cgdb.sourceforge.net/
Source0:        http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:        http://cgdb.sourceforge.net/cgdb.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
Requires:       gdb

Requires(post):    /sbin/install-info
Requires(preun):   /sbin/install-info

%description
CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%prep
%setup -q

%build
%configure
%make 

%install
rm -rf $RPM_BUILD_ROOT
%make_install
mv doc/htdocs .
find doc -type f -exec chmod 0644 {} \;
find doc -type d -exec chmod 0755 {} \;
%{__install} -p -m 644 %{SOURCE1} htdocs
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS TODO README ChangeLog htdocs
%{_bindir}/cgdb
%{_datadir}/cgdb
%{_infodir}/cgdb.info.*
%{_mandir}/man1/cgdb.1.*

%post
/sbin/install-info %{_infodir}/%{name}.info.* %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.* %{_infodir}/dir || :
fi



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.6.6-2.mga3
+ Revision: 347586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 08 2012 anaselli <anaselli> 0.6.6-1.mga2
+ Revision: 229752
- imported package cgdb

